package com.chinaitop.agile.feignService;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "depot-keeper-account")
public interface KeepaccountFeignService {

	@RequestMapping(value = "/StorageAccountRecord/edit", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	Map<String, Object> selectHouseKeepAccountData(@RequestParam("houseId") Integer houseId, 
			@RequestParam("wareId") Integer wareId, 
			@RequestParam("hwxz") Integer hwxz, 
			@RequestParam("lspz") Integer lspz,
			@RequestParam("rq") String rq, 
			@RequestParam("wjh") String wjh, 
			@RequestParam("zy") String zy, 
			@RequestParam("accountType") Integer accountType,
			@RequestParam("orgId") Integer orgId);

}
